Subject: bug#22587: ‘guix edit’ & ‘M-x guix-edit' typo, rename, & mode change

From: Alex Kost <[email-masked]>
Date: Wed, 20 Apr 2016 10:20:58 +0300

Ludovic Courtès (2016-04-19 13:50 +0300) wrote:

> Alex Kost <[email-masked]> skribis:
>
>> Ludovic Courtès (2016-04-18 20:41 +0300) wrote:
>>
>>> It seems to me that this bug has no clear purpose, or too broad a
>>> purpose, or something.
>>>
>>> Could you retitle it, or close it, or fix it, whichever is appropriate?
>>> :-)
>>
>> Was it for me?
>
> ‘To whom it may concern’.  :-)
>
>> I think the main purpose of this report was to tell us that "edit"
>> name is confusing.  So I would retitle it to "Rename 'guix edit' as it
>> is confusing".  But I don't know how; can it be done by sending some
>> control message?
>
> Yes, using the ‘retitle’ command, described somewhere at
> <http://debbugs.gnu.org/Developer.html>.

Sorry, I don't see any mention of 'retitle' there, also I don't find
retitle control message while using emacs-debbugs package.

> However, I think (1) the title should describe the bug, not the
> solution, and (2) ‘guix edit’ does what it says IMO, even if it can
> occasionally stumble upon read-only files.

OK, well I don't know what to do with it then.  What about the following
title: «"guix edit" name may be confusing»?

-- 
Alex